/**
 * GBTask.java
 *
 * Description:		<describe the GBTask class here>
 * @author			stevexm@cs.mu.oz.au Steve Melnikoff
 *                              shoaib@students.cs.mu.oz.au Shoaib Burq
 *                                Copyright Oct. 2002
 * @version			2.0
 */

package plan2run.GBTask;

import java.util.ArrayList;
import java.util.StringTokenizer;
import java.io.Serializable;

public class GBTask implements Serializable{
	private int id;
	private String taskName;
	private String tasks;
	private String taskBlock;
	private ArrayList taskStatementsList = new ArrayList();
	private	boolean dirty = true;

	public static final String BEGINTASKSTRING = "task";
	public static final String ENDTASKSTRING = "endtask";
	public static final String spacer = " ";
	public static final String newline = "\n";
	public static final String EMPTYSTRING = "";

	public GBTask() {
		taskName = EMPTYSTRING;
		tasks = EMPTYSTRING;
		taskBlock = EMPTYSTRING;
		ArrayList taskStatementsList = new ArrayList();
	}

	public GBTask(String name)
	{
		taskName = name;
		tasks = EMPTYSTRING;
		taskBlock = EMPTYSTRING;
		ArrayList taskStatementsList = new ArrayList();
	}

	public String getTaskName() { return taskName; }
	public void setTaskName(String s) { taskName = s; }
	public String getTasks() { return tasks; }
	public void setTasks(String s) { tasks = s; }
	public void appendTasks(String s) { tasks = tasks + s; }

	public void makeTaskBlock()
	{
		taskBlock = BEGINTASKSTRING + spacer + taskName + newline;
		StringTokenizer tkz = new StringTokenizer(tasks, newline);
		while(tkz.hasMoreTokens())
		{
			taskBlock = taskBlock + spacer + spacer + tkz.nextToken() + newline;
		}
		taskBlock = taskBlock + ENDTASKSTRING + newline + newline;
	}

	public String getTaskBlock() { return taskBlock; }
	public void setTaskBlock(String s) { taskBlock = s; }

	public ArrayList getStatementsList() { return taskStatementsList; }
	public void setTaskStatement(String s) { taskStatementsList.add(s); }
	public void setStatementsList(ArrayList l) { taskStatementsList = l; }


	public boolean isDirty() { return dirty; }
	public void setDirty(boolean b) { dirty = b; }

}



/* @(#)GBJobRunTask.java */
