<%@ page import="java.util.Collection" %>
<%@ page import="java.util.Iterator" %>
<%@ page import="java.lang.Float" %>
<%@ page import="org.gridbus.broker.farming.common.Job" %>
<%@ page import="org.gridbus.broker.farming.common.ComputeServer" %>
<jsp:useBean id="userCredName" class="java.lang.String" scope="request"/>
<jsp:useBean id="url" class="java.lang.String" scope="request"/>
<jsp:useBean id="status" class="java.lang.String" scope="request"/>

<jsp:useBean id="showProgress" class="java.lang.String" scope="request"/>

<jsp:useBean id="jDone" class="java.lang.String" scope="request"/>
<jsp:useBean id="bDone" class="java.lang.String" scope="request"/>
<jsp:useBean id="jRemain" class="java.lang.String" scope="request"/>
<jsp:useBean id="bRemain" class="java.lang.String" scope="request"/>
<jsp:useBean id="timeRemaining" class="java.lang.String" scope="request"/>

<jsp:useBean id="refreshtime" class="java.lang.String" scope="request"/>
<% if (refreshtime!=null && !refreshtime.equals("0")) {%>
<meta http-equiv="refresh" content="<%=refreshtime%>">
<% } %>

<style>
.progbar1{
	height:12px;
	background-color:#ffffff;
}
.progbar2{
	height:12px;
	background-color:#0000FF;
}
</style>
	    <% if (userCredName.compareTo("") != 0) { %>
	    <table border="0" cellspacing="2" cellpadding="2">
			<tr>
				<td>Broker Status</td>
				<td colspan="2"><b><%= status %></b></td>
			</tr>
	    <% if (showProgress!=null && showProgress.equals("true")) { %>
			<tr>
				<td>Time remaining</td>
				<td ><%=timeRemaining%></td>
				<td>&nbsp;</td>
			</tr>
			<tr>
				<td>Budget remaining</td> 
				<td align="right"><%=bRemain%> % </td>
				<td><div class="progbar1" style="width:<%=Math.round(Float.parseFloat(bDone)+Float.parseFloat(bRemain))%>px"><div class="progbar2" style="width:<%=Math.round(Float.parseFloat(bRemain))%>px"></div></div></td>
			</tr>
			<tr>
				<td>Jobs completed</td>
				<td align="right"><%=jDone%> % </td>
				<td><div class="progbar1" style="width:<%=Math.round(Float.parseFloat(jDone)+Float.parseFloat(jRemain))%>px"><div class="progbar2" style="width:<%=Math.round(Float.parseFloat(jDone))%>px"></div></div></td>
		   </tr>
	    </table>
	    <% } %>
			<table border=1 align="center" cellspacing="1" cellpadding="1" >
			<% Collection jobs = (Collection) request.getAttribute("jobs"); %>
			<% Job j = null; %>
			<% int count = 0; %>
			<% int s = -1; %>
			<% for (Iterator it=jobs.iterator();it.hasNext();) { %>
			<%     j = (Job)it.next(); %>
			<%     if (count % 8 == 0) { %>
				   <tr>
			<%     } %>
				   <td>
					   <table>
						   <tr>
							   <td bgcolor=white><a href="<%=url%>&jid=<%=j.getJobID()%>&action=view" title=" Running on server: <%if (j.getServer()!=null) out.write(""+j.getServer().getHostname()); %>" >job : <%= j.getJobID() %></a></td>
						   </tr>
						   <tr align="center">
			<%                 s = j.getJobStatus(); %>
			<%                 if (s == Job.UNSUBMITTED || s == Job.LOCAL_QUEUED) { %>
							   <td bgcolor=yellow>W</td>
			<%                 } else if (s == Job.SUBMITTED || s == Job.PENDING || s == Job.ACTIVE) { %>
							   <td bgcolor=blue><font color=white>R</font></td>
			<%                 } else if (s == Job.DONE) { %>
							   <td bgcolor=green><font color=white>D</font></td>
			<%                 } else if (s == Job.FAILED) { %>
							   <td bgcolor=red><font color=white>F</font></td>
			<%                 } else { %>
							   <td bgcolor=white>?</td>
			<%                 } %>
						   </tr>
					   </table>
				   </td>
			<%     if (count % 8==7) { %>
				   </tr>
			<%     } %>
			<%     count++; %>
			<% } %>
			</table>
		<br />
		<table border=1 align="center">
			<% Collection servers = (Collection) request.getAttribute("servers"); %>
			<%	if (servers!=null){ %>
			<%		Iterator it = servers.iterator(); %>
			<%		if (it.hasNext()){ %>
			<tr>
				<th colspan="2">ComputeServer performance:</th>
			</tr>
			<tr>
				<th>Hostname</th>
				<th>No. of jobs completed</th>
			</tr>			
			<%		} %>
			<%		while(it.hasNext()){ %>
			<%			ComputeServer cs = (ComputeServer)it.next(); %>			
			<tr>
				<td><%=cs.getHostname()%></td>
				<td><%=cs.getTotalFinishedJobs()%></td>
			</tr>
			<%		} %>
			<%} %>
		</table>	
		<br />
		<table border=1>
			<tr>
				<td bgcolor=yellow>W</td><td>Ready/Waiting</td>
			</tr>
			<tr>
				<td bgcolor=blue><font color=white>R</font></td><td>Running</td>
			</tr>
			<tr>
				<td bgcolor=green><font color=white>D</font></td><td>Done</td>
			</tr>
			<tr>
				<td bgcolor=red><font color=white>F</font></td><td>Failed</td>
			</tr>
			<tr>
				<td bgcolor=white>?</td><td>Unknown</td>
			</tr>
		</table>
	<div>
	<form method="POST" action="<%= url %>">
		<br />
		Refresh every <input name="txtRefreshtime" size="5" value=<%=refreshtime%>> seconds. <input type="submit" value="update"/>
	</form>
	</div>
    	<% } else { %>
	<div>
		<font color=red>User not Authenticated!</font>
	</div>
		<% } %>
